package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * rd_details
 * @author 
 */
public class RdDetails implements Serializable {
    private Long id;

    /**
     * 公司名称
     */
    private String userName;

    /**
     * 研发活动编号
     */
    private String rdNo;

    /**
     * 知识产权编号
     */
    private String ipNo;

    /**
     * 发研活动名称
     */
    private String rdName;

    /**
     * 开始时间
     */
    private Date rdStart;

    /**
     * 结束时间
     */
    private Date rdEnd;

    /**
     * 技术领域
     */
    private String technicalField;

    /**
     * 技术来源
     */
    private String technologySource;

    /**
     * 研发经费总预算（万元）
     */
    private BigDecimal totalAmount;

    /**
     * 研发经费近三年总支出（万元）
     */
    private BigDecimal recentThreeAmount;

    /**
     * 研发目的及组织实施方式
     */
    private String rdObjective;

    /**
     * 核心技术及创新点
     */
    private String coreTechnology;

    /**
     * 取得的创段性成果
     */
    private String achieveResults;

    /**
     * 操作人
     */
    private String consultantName;

    /**
     * 状态 0=草稿，1=正常，2=删除
     */
    private Integer status;

    /**
     * 开放时间
     */
    private Date openTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 录入人
     */
    private String aid;

    /**
     * 浏览次数
     */
    private Integer browseCount;

    /**
     * 下载次数
     */
    private Integer downloadCount;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRdNo() {
        return rdNo;
    }

    public void setRdNo(String rdNo) {
        this.rdNo = rdNo;
    }

    public String getIpNo() {
        return ipNo;
    }

    public void setIpNo(String ipNo) {
        this.ipNo = ipNo;
    }

    public String getRdName() {
        return rdName;
    }

    public void setRdName(String rdName) {
        this.rdName = rdName;
    }

    public Date getRdStart() {
        return rdStart;
    }

    public void setRdStart(Date rdStart) {
        this.rdStart = rdStart;
    }

    public Date getRdEnd() {
        return rdEnd;
    }

    public void setRdEnd(Date rdEnd) {
        this.rdEnd = rdEnd;
    }

    public String getTechnicalField() {
        return technicalField;
    }

    public void setTechnicalField(String technicalField) {
        this.technicalField = technicalField;
    }

    public String getTechnologySource() {
        return technologySource;
    }

    public void setTechnologySource(String technologySource) {
        this.technologySource = technologySource;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getRecentThreeAmount() {
        return recentThreeAmount;
    }

    public void setRecentThreeAmount(BigDecimal recentThreeAmount) {
        this.recentThreeAmount = recentThreeAmount;
    }

    public String getRdObjective() {
        return rdObjective;
    }

    public void setRdObjective(String rdObjective) {
        this.rdObjective = rdObjective;
    }

    public String getCoreTechnology() {
        return coreTechnology;
    }

    public void setCoreTechnology(String coreTechnology) {
        this.coreTechnology = coreTechnology;
    }

    public String getAchieveResults() {
        return achieveResults;
    }

    public void setAchieveResults(String achieveResults) {
        this.achieveResults = achieveResults;
    }

    public String getConsultantName() {
        return consultantName;
    }

    public void setConsultantName(String consultantName) {
        this.consultantName = consultantName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getOpenTime() {
        return openTime;
    }

    public void setOpenTime(Date openTime) {
        this.openTime = openTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public Integer getBrowseCount() {
        return browseCount;
    }

    public void setBrowseCount(Integer browseCount) {
        this.browseCount = browseCount;
    }

    public Integer getDownloadCount() {
        return downloadCount;
    }

    public void setDownloadCount(Integer downloadCount) {
        this.downloadCount = downloadCount;
    }
}